version: '3'

services:
  dnsmasq:
    build: ./dnsmasq
    container_name: dnsmasq
    restart: unless-stopped
    network_mode: host
    privileged: true
    volumes:
      - ${DNSMASQ_CONFIG_FILE}:/dnsmasq.conf:ro
  hostapd:
    build: ./hostapd
    container_name: hostapd
    depends_on:
      - dnsmasq
    network_mode: host
    privileged: true
    volumes:
      - ${HOSTAPD_CONFIG_FILE}:/hostapd.conf:ro
  traefik:
    image: "traefik:v2.10"
    container_name: "traefik"
    restart: unless-stopped
    networks:
      - olip
    command:
      - "--api.insecure=true"
      - "--providers.docker=true"
      - "--providers.docker.exposedbydefault=false"
      - "--entrypoints.web.address=:80"
    ports:
      - "80:80"
      - "8080:8080"
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock:ro"
    labels:
      - "trafik.enabled=true"
      - "traefik.http.routers.traefik.rule=Host(`traefik.olip.io`)"
      - "traefik.http.routers.traefik.entrypoints=web"
      - "traefik.http.services.traefik.loadbalancer.server.port=8080"
  olip:
    image: alexandrebsf/olip-api-v2:latest
    container_name: olip
    env_file:
      - ./olip/.docker.env
    networks:
      - olip
    expose:
      - "3000"
    ports:
      - "3000:3000"
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.olip.rule=Host(`olip.io`)"
  netdata:
    image: netdata/netdata
    container_name: netdata
    pid: host
    networks:
      - olip
    restart: unless-stopped
    security_opt:
      - apparmor:unconfined
    volumes:
      - netdataconfig:/etc/netdata
      - netdatalib:/var/lib/netdata
      - netdatacache:/var/cache/netdata
      - /etc/passwd:/host/etc/passwd:ro
      - /etc/group:/host/etc/group:ro
      - /proc:/host/proc:ro
      - /sys:/host/sys:ro
      - /etc/os-release:/host/etc/os-release:ro
      - /var/run/docker.sock:/var/run/docker.sock:ro
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.netdata.rule=Host(`netdata.olip.io`)"
      - "traefik.http.routers.netdata.entrypoints=web"
      - "traefik.http.services.netdata.loadbalancer.server.port=19999"

networks:
  olip:
    name: olip
    driver: bridge

volumes:
  netdataconfig:
  netdatalib:
  netdatacache:

